cURL
curl --request GET \ --url https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": 123, "order_number": "<string>", "order_key": "<string>", "order_status": "<string>", "sales_order_id": 123, "warehouse_group_id": 123, "ship_by_date": "2023-12-25", "total": 123, "bill_to": { "name": "<string>", "company": "<string>", "street1": "<string>", "street2": "<string>", "street3": "<string>", "city": "<string>", "state": "<string>", "postal_code": "<string>", "country": "<string>", "phone": "<string>" }, "ship_to": { "name": "<string>", "company": "<string>", "street1": "<string>", "street2": "<string>", "street3": "<string>", "city": "<string>", "state": "<string>", "postal_code": "<string>", "country": "<string>", "phone": "<string>" }, "invoice_to": { "name": "<string>", "company": "<string>", "street1": "<string>", "street2": "<string>", "street3": "<string>", "city": "<string>", "state": "<string>", "postal_code": "<string>", "country": "<string>", "phone": "<string>" }, "sales_order": {}, "picklists": [ {} ], "fulfillment_order_items": [ {} ], "purchase_orders": [ { "id": 123, "order_status": "active" } ], "source_reference_identifier": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Retrieve details of a specific fulfillment order by its unique ID.
Documentation IndexFetch the complete documentation index at: https://docs.joinluminous.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
ID of the fulfillment order
Successful response
Show child attributes